<a href="{% url 'sqlitetreestructure:index' %}">< Back to index</a>
<h1>Reparent nodes</h1>

{% if message %}<h2 style="color:green";>{{ message }}</h2>{% endif %}
{% if error_message %}<h2 style="color:red";>{{ error_message }}</h2>{% endif %}

<form action="{% url 'sqlitetreestructure:move' %}" method="post">
{% csrf_token %}
    Child Id:
    <input type="text" name="child_id" value="">
    New Parent Id:
    <input type="text" name="new_parent_id" value="">
    <br>
    <input type="submit" value="Reparent">
</form>

<ul>
    {% for node in nodes %}
        <li style="margin-left:{{ node.height }}em"><span style="color:blue";>{{ node.pos }})</span> <span style="color:darkcyan";>Id:{{ node.id }}</span> -- <span style="color:chocolate";>Parent:{{ node.parent_id }}</span> -- <span style="color:purple";>Height:{{ node.height }}</span></li>
    {% empty %}
        <li>Sorry, no nodes to display.</li>
    {% endfor %}
 </ul>
